Show / Hide Table of Contents

# Delegate Query.QueryAsyncErrorEventHandler

Delegate type for callback when a query connection fails

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task QueryAsyncErrorEventHandler(string message);

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | Error message for the failing query

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |